For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
              • GETList Banners
              • POSTCreate Banner
              • DELDelete All Banners
              • GETGet Banner
              • PUTUpdate Banner
              • DELDelete Banner
              • GETGet Count of Store Banners
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentMarketingBanners

Get Banner

GET
https://api.bigcommerce.com/stores/:store_hash/v2/banners/:id
GET
/stores/:store_hash/v2/banners/:id
$curl https://api.bigcommerce.com/stores/store_hash/v2/banners/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "content": "<p> Sale! Tuesday at 9am! </p>",
3 "date_type": "always",
4 "location": "top",
5 "name": "Sale Banner",
6 "page": "home_page",
7 "date_created": "1522169082",
8 "date_from": "0",
9 "date_to": "0",
10 "id": 1,
11 "item_id": "0",
12 "visible": "1"
13}

Returns a single Banner

Was this page helpful?
Previous

Delete All Banners

Next

Update Banner

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Marketing | modify | `store_v2_marketing` | | Marketing | read-only | `store_v2_marketing_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idintegerRequired
ID of the banner.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

contentstring
Contains the banner content. Returned as a string and includes HTML formatting.
date_typeenum
This specifies whether the banner should be visible during a specific date range.
Allowed values:
locationenum
Location on the page.
Allowed values:
namestring
Name of the banner.
pageenum
Page the Banner is located on.
Allowed values:
date_createdstring
Date the banner is created.
date_fromstring

If the datetype is set as ‘custom’, this field specifies the date when the banner should become visible on the storefront.

date_tostring

If the datetype is set as ‘custom’, this field specifies the date when the banner should stop being visible on the storefront.

idinteger

Id of the banner. This is a READ-ONLY field; do not set or modify its value in a POST or PUT request.

item_idstring

If the banner is on a specific category or brand page, then the item_id will correspond the category or brand ID.

visiblestring

Integer value denoting whether or not the banner is visible on the storefront: 1 = visible; 0 = not visible

OAuth scopes

UI NamePermissionParameter
Marketingmodifystore_v2_marketing
Marketingread-onlystore_v2_marketing_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.